/*
 * $Id: test-bda.c,v 1.2 2012/02/15 11:13:08 vrsieh Exp $
 */

struct bda {
	short x;
	char y;
	int z;
} __attribute__((__packed__));

int
test(void)
{
	struct bda *BDA = (struct bda *) 0x00000400;

	BDA->x = 0;
	BDA->y = 1;
	BDA->z = 2;
	return BDA->x + BDA->y + BDA->z;
}
